### Virtual Method

# Foundry Debugger move

deprecated: 1.1

#### Declaration [src]

    DexFuture*
    move (
      FoundryDebugger* self,
      FoundryDebuggerMovement movement
    )

#### Description [src]

Use `foundry_debugger_thread_move()` in new code.

Deprecated since: 1.1

Please do not use it in newly written code.

#### Parameters

`movement`

  Type: `FoundryDebuggerMovement`

  How to move within the debugger.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.